[CentOS] Fwd: EPEL-ANNOUNCE Re: Upcoming OwnCloud changes in EPEL

James Hogarth james.hogarth at gmail.com
Sun May 22 00:23:42 UTC 2016


On 22 Apr 2016 18:11, "James Hogarth" <james.hogarth at gmail.com> wrote:
>
> In the event that there are CentOS users making use of the EPEL owncloud
packages, but not following the EPEL mailing lists, please read the mail
below with regards to your installations.
>
> Thanks
>
> James
>
> ---------- Forwarded message ----------
> From: "James Hogarth" <james.hogarth at gmail.com>
> Date: 22 Apr 2016 16:21
> Subject: EPEL-ANNOUNCE Re: Upcoming OwnCloud changes in EPEL
> To: "EPEL Development List" <epel-devel at lists.fedoraproject.org>
> Cc: <epel-announce at lists.fedoraproject.org>
>
> >
> >
> > On 5 April 2016 at 09:22, James Hogarth <james.hogarth at gmail.com> wrote:
> >>
> >> Hi all,
> >>
> >> Following on the process of bringing OwnCloud up to date in Fedora
we're turning our attention to the EPEL users.
> >>
> >> Unfortunately EL6's use of php53 means we cannot update any further
there given the minimum requirement of php54.
> >>
> >> As such the maintenance update of 7.0.13 that is in epel-testing now
for EPEL6 will be the final one there to be followed by the retiring of the
package.
> >>
> >> If you wish to update from that please either migrate to an EL7 base
system or switch to the OwnCloud upstream packages which make use of SCL to
satisfy the php54+ requirement.
> >>
> >> On the EPEL7 side of things 8.1.6 is due to hit testing very shortly.
This is a mandatory update as a precursor to the 8.2.3 update in due
course. Once this reaches live please ensure that updates are carried out
and your OwnCloud installation is fully tested prior to the 8.2.3 update.
> >>
> >> This is due to a requirement from upstream that updates follow the
path 8.0 -> 8.1 -> 8.2 -> 9.0.
> >>
> >> Related to this when updating the EL6 install from the 7.0 version to
an EL7 or upstream SCL version please do make sure you follow the upgrade
chain correctly - it is not possible to skip a step.
> >>
> >> Once the 8.2 goal is reached a discussion will be had then for EPEL as
to whether to provide owncloud82 and owncloud90 packages or to just stay on
the current major update - but that discussion is some time away as of yet.
> >>
> >> The reason for picking owncloud82 as the possible base for this is
that this is the first version that has no php libraries bundled so will be
the easiest to provide the long term maintained base from in a clean
fashion complying to guidelines as closely as possible.
> >>
> >> Kind regards,
> >>
> >> James
> >>
> >>
> >
> > Following on from the previous message EPEL6 has it's final update with
the EOL message. Please arrange to move to the upstream SCL packages or to
migrate to EL7 if you are using owncloud on EPEL6 - be aware when you do
migrate off of this that it is important to follow the chain through
8.0->8.1->8.2 checking your installation at each step.
> >
> > EPEL7 has had some time in testing and received a positive test so the
8.1.6 update there is being pushed today.
> >
> > When that has gone stable an 8.2.3 update will be pushed to
epel-testing. Please ensure that your installation is updated to 8.1.6 and
fully tested before applying the 8.2.3 update.
> >

For any OwnCloud users on CentOS who utilise the EPEL packages please be
aware of important changes this week:

The EPEL6 package has now been retired as end of life. If using the EPEL6
packaging of OwnCloud please ensure you migrate to a supported version as
discussed above.

On the EPEL7 side of things 8.2.4 has just been submitted to stable. Please
ensure that the previous 8.1.6 update has been applied and fully tested
before carrying out the 8.2.4 update.

For those willing to do some early preliminary testing of 9.0.2 it has been
uploaded to my Fedora people space, along with its dependencies.



More information about the CentOS mailing list